Name:          python-ordereddict
Version:       1.1
Release:       4mamba
Summary:       A drop-in substitute for Py2.7's new collections.OrderedDict
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/ordereddict/
Source:        https://pypi.debian.net/ordereddict/ordereddict-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildArch:     noarch

%description
A drop-in substitute for Py2.7's new collections.OrderedDict.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n ordereddict-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{python_sitearch}/ordereddict-%{version}-py*.egg-info
%doc LICENSE

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.1-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-3mamba
- rebuilt with distdeps

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-2mamba
- python 2.7 mass rebuild

* Mon Mar 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created by autospec
